// ArcViewDlg.h : header file
//

#if !defined(AFX_ARCVIEWDLG_H__18393CA7_D069_4214_8090_78A468C19FB0__INCLUDED_)
#define AFX_ARCVIEWDLG_H__18393CA7_D069_4214_8090_78A468C19FB0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CArcViewDlg dialog

class CArcViewDlg : public CDialog
{
// Construction
public:
	int m_Hardware;
	CArcViewDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CArcViewDlg)
	enum { IDD = IDD_ARCVIEW_DIALOG };
	CButton	m_SRVR;
	CButton	m_PCI20;
	CButton	m_USB22;
	CStatic	m_NodeID;
	CStatic	m_Status;
	CButton	m_Transmit;
	CButton	m_Settings;
	CButton	m_Registers;
	CButton	m_Receive;
	CButton	m_Connect;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CArcViewDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CArcViewDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnSettings();
	virtual void OnOK();
	afx_msg void OnReceive();
	afx_msg void OnTransmit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ARCVIEWDLG_H__18393CA7_D069_4214_8090_78A468C19FB0__INCLUDED_)
